VPS侦探论坛

 找回密码
 注册
搜索
热搜: pathinfo
查看: 71|回复: 3

安装lamp后,运行需要openssl扩展的程序出错。

[复制链接]
发表于 2019-5-13 18:59:32 | 显示全部楼层 |阅读模式

官方提示运行环境:环境要求:操作系统/win或linux、PHP/5.4x、mysql/5.5x、Apache/2.4.x、开启openssl扩展。
设置好数据库后提示:


syntax error, unexpected ''DB_TYPE'' (T_CONSTANT_ENCAPSED_STRING), expecting ')'错误位置
FILE: /home/wwwroot/Application/Common/Conf/db.php  LINE: 5




ThinkPHP3.2.3 { Fast & Simple OOP PHP Framework } -- [ WE CAN DO IT JUST THINK ]









美国VPS、VPN、域名代购:http://shop63846532.taobao.com/

 楼主| 发表于 2019-5-13 19:01:49 | 显示全部楼层



db.php文件:

<?php
return array(
        //'配置项'=>
'配置值'
        'DB_TYPE'               =>  'mysql',     // 数据库类型
        'DB_HOST'               =>  'localhost', // 服务器地址
        'DB_NAME'               =>  'test',       // 数据库名
        'DB_USER'               =>  'test',      // 用户名
        'DB_PWD'                =>  'test123',      // 密码
        'DB_PORT'               =>  '3306',      // 端口
        'DB_PREFIX'             =>  'vv_',             // 数据库表前缀
);
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org/
发表于 2019-5-13 21:48:21 | 显示全部楼层



和openssl没任何关系
不清楚你环境个程序版本没法确定,有可能是你安装的php版本是7.*版本
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
 楼主| 发表于 2019-5-14 03:55:31 | 显示全部楼层

感谢老大,版本没错,好像是数据库导入的文件有问题,我再想想其他办法。
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org/
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2019-5-24 00:02 , Processed in 0.041888 second(s), 26 queries .

Powered by Discuz! X3.4

© 2001-2017 Comsenz Inc.

快速回复 返回顶部 返回列表